com.smartgwt.client.widgets.form.fields.events

## Class ShowValueEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<ShowValueHandler>
      - - com.smartgwt.client.widgets.form.fields.events.ShowValueEvent

-     public class ShowValueEvent
      extends AbstractSmartEvent<ShowValueHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowValueEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(ShowValueHandler handler)`
    `static <S extends HasShowValueHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<ShowValueHandler>` | `getAssociatedType()`
    `java.lang.Object` | `getDataValue()` underlying data value for the item
    `Record` | `getDataValueAsRecord()` underlying data value for this item as a Record.
    `RecordList` | `getDataValueAsRecordList()` underlying data value for this item as a RecordList
    `java.lang.Object` | `getDisplayValue()` new display value for the item.
    `DynamicForm` | `getForm()` the dynamicForm in which this item is contained
    `CanvasItem` | `getItem()` the live form item instance
    `static com.google.gwt.event.shared.GwtEvent.Type<ShowValueHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShowValueEvent

          public ShowValueEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasShowValueHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                            com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<ShowValueHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(ShowValueHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<ShowValueHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<ShowValueHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<ShowValueHandler>`

    - #### getDisplayValue

          public java.lang.Object getDisplayValue()

      new display value for the item. This is the value after applying any custom formatter or valueMap
      Returns:
        new display value for the item. This is the value after applying any custom formatter or valueMap

    - #### getDataValue

          public java.lang.Object getDataValue()

      underlying data value for the item
      Returns:
        underlying data value for the item

    - #### getForm

          public DynamicForm getForm()

      the dynamicForm in which this item is contained
      Returns:
        the dynamicForm in which this item is contained

    - #### getItem

          public CanvasItem getItem()

      the live form item instance
      Returns:
        the live form item instance

    - #### getDataValueAsRecord

          public Record getDataValueAsRecord()

      underlying data value for this item as a Record.

    - #### getDataValueAsRecordList

          public RecordList getDataValueAsRecordList()

      underlying data value for this item as a RecordList